Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Soft-delete products

Bulk soft-deletes products by id. Successful entities are returned in data; per-item failures in errors.

PATCH/api/v2/{team_slug}/{app_slug}/products/soft-delete
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Request body
requiredapplication/json
productsProductIDItem[]required
min items 1 · max items 20
Show properties
Array of ProductIDItem
idUUIDrequired
Responses
200

Soft-deleted (partial success possible)

dataProductWrite[]required
Show properties
Array of ProductWrite
idUUIDrequired
product_namestringrequired
product_numberstringrequired
slugstring
statusstringrequired
meta_titlestring
meta_descriptionstring
html_descriptionstring
html_short_descriptionstring
descriptionstring
short_descriptionstring
tax_group_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
brand_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
product_typestring
exclude_from_feedsboolean
product_dimensionsProductDimension | null
Show properties
Any of:
ProductDimension
widthinteger
heightinteger
lengthinteger
depthinteger
weightinteger
diameterinteger
capacity_milliliterinteger
null
null
package_dimensionsProductDimension | null
Show properties
Any of:
ProductDimension
widthinteger
heightinteger
lengthinteger
depthinteger
weightinteger
diameterinteger
capacity_milliliterinteger
null
null
custom_fieldsobject | null
market_statusProductWriteMarketStatus[] | null
Show properties
Array of ProductWriteMarketStatus
marketProductNamedRefrequired
Show properties
idUUIDrequired
namestringrequired
slugstringrequired
store_groupProductNamedRefrequired
statusstringrequired
Allowed:activeinactivedraftincompletearchived
channel_statusesProductChannelStatus[] | null
Show properties
Array of ProductChannelStatus
channel_idUUIDrequired
channel_slugstring
statusstringrequired
created_atstring<date-time>required
updated_atstring<date-time> | null
errorsProductError[]required
Show properties
Array of ProductError
product_numberstring
idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v2/string/string/products/soft-delete' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "products": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  ]
}'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "product_name": "string",
      "product_number": "string",
      "slug": "string",
      "status": "string",
      "meta_title": "string",
      "meta_description": "string",
      "html_description": "string",
      "html_short_description": "string",
      "description": "string",
      "short_description": "string",
      "tax_group_id": "4496f79f-aa1a-4128-84f5-5c1c0836a341",
      "brand_id": "1bb61461-e5e3-4ebb-8cc6-5b0c37f1b7da",
      "product_type": "string",
      "exclude_from_feeds": true,
      "product_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "package_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "market_status": [
        {
          "market": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "slug": "string"
          },
          "store_group": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "slug": "string"
          },
          "status": "active"
        }
      ],
      "channel_statuses": [
        {
          "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
          "channel_slug": "string",
          "status": "string"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "product_number": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}